0 Replies Latest reply on Jun 27, 2014 1:22 AM by Biancahasaquestion

    adobe digital editons 3.0 doesn't run for Mac OS 10.6.8

    Biancahasaquestion

      I downloaded Adobe Digital Editions 3.0 on my Mac OS 10.6.8, but when I want to use is the program says it only runs under MAC OS 10.7 or higher. That's not wat the system requirements say. How do I solve this problem? Is it possible to download an earlier version of Adobe Digital Editions?